﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Edit.ascx.cs" Inherits="Christoc.Modules.CopySafeWeb.Edit" %>

<link href="<%= Page.ResolveUrl("~/Portals/_default/Skins/_default/WebControlSkin/Default/Grid.Default.css") %>" type="text/css" rel="stylesheet" />

<h2>List Class Files</h2>

<asp:Repeater ID="rFiles" runat="server" OnItemDataBound="rFiles_ItemDataBound" OnItemCommand="rFiles_ItemCommand">
    <HeaderTemplate>
        <div class="RadGrid RadGrid_Default">
        <table style="width: 100%">
            <thead>
                <tr>
                    <th class="rgHeader">&nbsp;</th>
                    <th class="rgHeader">File</th>
                    <th class="rgHeader">Size</th>
                    <th class="rgHeader">Date</th>
                </tr>
            </thead>
            <tbody>
    </HeaderTemplate>
    <ItemTemplate>
        <tr class="rgRow">
            <td>
                <asp:LinkButton ID="LinkButton1" CommandName="Delete" OnClientClick="javascript:if(!confirm('Delete this file? this will be deleted permanently!'))return false;" CommandArgument='<%#Eval("FileName") %>' runat="server" Text="Delete"></asp:LinkButton></td>
            <td><%# Eval("FileName") %></td>
            <td style="width: 50px"><%# Eval("Size") %> KB</td>
            <td style="width: 130px"><%# Eval("CreateDate") %></td>
        </tr>
    </ItemTemplate>
    <FooterTemplate>
        </tbody>
        <tfoot>
            <tr id="emptyData" runat="server" visible="false">
                <td>No file uploaded yet.</td>
            </tr>
        </tfoot>
        </table>
        </div>
    </FooterTemplate>
</asp:Repeater>
<div class="clear"></div>
