﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="Christoc.Modules.CopySafeWeb.Settings" %>


<!-- uncomment the code below to start using the DNN Form pattern to create and update settings -->


<%@ Register TagName="label" TagPrefix="dnn" Src="~/controls/labelcontrol.ascx" %>

<h2 id="dnnSitePanel-BasicSettings" class="dnnFormSectionHead"><a href="" class="dnnSectionExpanded"><%=LocalizeString("BasicSettings")%></a></h2>
<fieldset>
    <div class="dnnFormItem">
        <dnn:label id="lblUploadFolder" runat="server" />

        <asp:TextBox ID="txtUploadFolder" runat="server" />
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblMaxSize" runat="server" />
        <asp:TextBox ID="txtMaxSize" runat="server" Style="text-align: right;" />
        KB
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblMode" runat="server" />
        <asp:DropDownList ID="ddlMode" runat="server">
            <asp:ListItem Text="Demo Mode" Value="1"></asp:ListItem>
            <asp:ListItem Text="Licensed" Value="2"></asp:ListItem>
            <asp:ListItem Text="Debugging Mode" Value="3"></asp:ListItem>
        </asp:DropDownList>
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblAllowIE" runat="server" />
        <asp:CheckBox ID="cbAllowIE" runat="server" />
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblAllowFirefox" runat="server" />
        <asp:CheckBox ID="cbAllowFirefox" runat="server" />
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblAllowChrome" runat="server" />
        <asp:CheckBox ID="cbAllowChrome" runat="server" />
    </div>
    <div class="dnnFormItem">
        <%--<dnn:label id="lblAllowNavigator" runat="server" />
        <asp:CheckBox ID="cbAllowNavigator" runat="server" />--%>
        <dnn:label id="lblAllowASPS" runat="server" />
        <asp:CheckBox ID="cbAllowASPS" runat="server" />
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblAllowOpera" runat="server" />
        <asp:CheckBox ID="cbAllowOpera" runat="server" />
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblAllowSafari" runat="server" />
        <asp:CheckBox ID="cbAllowSafari" runat="server" />
    </div>
</fieldset>
